import pytest

import django_webtest

from django.contrib.auth.models import User


@pytest.fixture
def app(request):
    wtm = django_webtest.WebTestMixin()
    wtm._patch_settings()
    request.addfinalizer(wtm._unpatch_settings)
    return django_webtest.DjangoTestApp()


@pytest.fixture
def admin_user(db):
    return User.objects.create_superuser('admin', email=None, password='password')
